Attribute VB_Name = "SVGBsp"
Sub Beispiel()
    'Erzeugt eine neue Instanz der KLasse SVGDoc
    Dim objDoc As New SVGDoc
    Dim objElemente As Collection
    Dim objNode As SVGNode
    Dim lngIndex As Long
    'Erzeug ein SVG-Dokument
    Set objElemente = objDoc.createSVGDocument()
    'Fgt einen Text hinzu
    With objDoc
        Set objNode = .createNode("text", svgnodefull, "Hallo Welt!")
        With objNode
            .setAttribute "id", "Text1"
            .setAttribute "x", "10px"
            .setAttribute "y", "20px"
            .setAttribute "style", "fill:black"
        End With
        'Fgt den Text am Ende des SVGDokuments an und speichert die Position
        lngIndex = .appendNode(objNode)
        'ndert den Text des angefgten Elements auf den Wert des Attributes "id"
        With objNode
            .NValue = .getAttribute("id")
        End With
        'Fgt ein Polygon ein
        Set objNode = .createNode("polygon", svgnodefull)
        With objNode
            'Fgt alle Attribute auf einmal hinzu
            .setAttributes "points=""" & .getPolygonData(Array(10, 10, 50, 10, 50, 50, 10, 50)) & """ id=""poly"""
            'Prft ob das style-Attribut vorhanden ist und fgt es falls fehlend hinzu
            If .hasAttribute("style") = False Then
                .setAttribute "style", "fill:red"
            End If
        End With
        .appendNode objNode
        'Kommentar einfgen
        .appendNode .createNode("Dies ist ein Kommentar", svgcomment)
        'Gruppieren der beiden Elemente Text + Polygon
        Set objNode = .createNode("g", svgnodeBegin)
        .appendNode objNode, , .getElementByIndex(lngIndex)
        Set objNode = .createNode("g", svgnodeend)
        .appendNode objNode
        'Ausgeben des Codes
        MsgBox .getCode()
        'Speichern
        .saveAs "c:\test.svg"
    End With
    Set objDoc = Nothing
    Set objNode = Nothing
    Set objElemente = Nothing
End Sub
